com.dlsc.flexgantt.policy.layer

## Interface IGridLinePolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultGridLinePolicy, TimeGranularityGridLinePolicy

      public interface IGridLinePolicy
      extends IPolicy

  The grid line policy controls the behaviour of the major and minor grid lines. In general the `GridLayer` is capable of displaying either the minor grid lines, or the major grid lines or both at the same time. Usually the major grid lines are located on top of a minor grid lines. Depending on the dateline model however there might be situations where this is not the case (e.g. the `TimeGranularityDatelineModel` showing major grid lines for months and minor grid lines for 14 days). In these cases it is favourable to not show the major grid lines at all. This kind of logic can be expressed by the grid line policy.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `GridLayer`, `IDatelineModel.getGrid(int, int, boolean)`, `GridLineMode`, `AbstractGanttChart.setGridLineMode(GridLineMode)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMajorGridLinesVisible(IDatelineModel model, GridLineMode mode)` Determines whether the grid lines for the major time units will be shown or not.
    `boolean` | `isMinorGridLinesVisible(IDatelineModel model, GridLineMode mode)` Determines whether the grid lines for the minor time units will be shown or not.

- - ### Method Detail

    - #### isMajorGridLinesVisible

          boolean isMajorGridLinesVisible(IDatelineModel model,
                                          GridLineMode mode)

      Determines whether the grid lines for the major time units will be shown or not.
      Parameters:
        `model` - the dateline model currently used by the dateline
        `mode` - the grid mode (show no grid, minor grid, major grid, combined grid)
      Returns:
        TRUE if the grid lines for the major time unit are visible
      Since:
        1.0

    - #### isMinorGridLinesVisible

          boolean isMinorGridLinesVisible(IDatelineModel model,
                                          GridLineMode mode)

      Determines whether the grid lines for the minor time units will be shown or not.
      Parameters:
        `model` - the dateline model currently used by the dateline
        `mode` - the grid mode (show no grid, minor grid, major grid, combined grid)
      Returns:
        TRUE if the grid lines for the minor time unit are visible
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.